GCLOUD_DATAPROC_CLUSTERS_UPDATE(1)

NAME

gcloud dataproc clusters update - update the number of worker nodes in a cluster

SYNOPSIS

gcloud dataproc clusters update NAME [--async] [--num-preemptible-workers NUM_PREEMPTIBLE_WORKERS] [--num-workers NUM_WORKERS] [GLOBAL-FLAG ...]

DESCRIPTION
Update the number of worker nodes in a cluster.

POSITIONAL ARGUMENTS
NAME
    The name of the cluster to update.

FLAGS
--async
    Display information about the operation in progress and don't wait for the operation to complete.
--num-preemptible-workers NUM_PREEMPTIBLE_WORKERS
    The new number of preemptible worker nodes in the cluster.
--num-workers NUM_WORKERS
    The new number of worker nodes in the cluster.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To resize a cluster, run:
    $ gcloud dataproc clusters update my_cluster --num-workers 5
To change the number preemptible workers in a cluster, run:
    $ gcloud dataproc clusters update my_cluster \
        --num-preemptible-workers 5